@echo off

echo 正在关闭核心. . .

..\gsudo cache on

..\gsudo schtasks.exe /end /tn "StartXrayCore"

..\gsudo taskkill /f /im xray*

cd /d %~dp0

cls

echo 正在下载订阅. . .

..\aria2c --connect-timeout=10 -s8 -x8 -k1M --allow-overwrite=true --out=AWS.zip https://sing.ikunattackerz.uk/22c1ea03-9339-5811-88ff-d58364a2337b/AWS.zip

echo 正在删除订阅. . .

del /f /s /q ..\node\*

rmdir /Q ..\node

echo 正在更新订阅. . .

..\7z x -aoa AWS.zip -o..

echo 正在重启服务. . .

..\gsudo schtasks.exe /Run /tn "StartXrayCore"

echo 订阅已更换为AWS!

pause > nul
